Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution.repository
Class NoSuchFlowExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.execution.repository.FlowExecutionRepositoryException
                          org.springframework.webflow.execution.repository.FlowExecutionAccessException
                              org.springframework.webflow.execution.repository.NoSuchFlowExecutionException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSuchFlowExecutionException

extends FlowExecutionAccessException

Thrown when the flow execution with the persistent identifier provided could not be found. This could occur if the execution has been removed from the repository and a client still has a handle to the key.

Author:
  Keith Donald, Erwin Vervaet
See Also:
  Serialized Form

Constructor Summary
`NoSuchFlowExecutionException(FlowExecutionKey flowExecutionKey, java.lang.Exception cause)` Creates a new no such flow execution exception.

Method Summary

Methods inherited from class org.springframework.webflow.execution.repository.FlowExecutionAccessException
`getFlowExecutionKey`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchFlowExecutionException

    public NoSuchFlowExecutionException(FlowExecutionKey flowExecutionKey,
                                        java.lang.Exception cause)

  Creates a new no such flow execution exception.

  Parameters:
    `flowExecutionKey` - the key of the execution that could not be found
    `cause` - the root cause of the failure

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD